#ifndef ABSTRACTBUFFERPROVIDER_HPP_INCLUDED
#define ABSTRACTBUFFERPROVIDER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <vector>

namespace Internal
{
    class AbstractBufferProvider : public Object
    {
        public:
            AbstractBufferProvider();
            AbstractBufferProvider(const void* Obj);
            AbstractBufferProvider(const AbstractBufferProvider& A);
            static Class GetClass();

            std::vector<std::int32_t> GetPixels() const;

    };
}

#endif // ABSTRACTBUFFERPROVIDER_HPP_INCLUDED
